QGIS Application - Bug report #8373
fieldNameMap() crashes QGIS
2013-07-28 11:22 PM - Alexander Bruy

Status: Closed

Priority: Severe/Regression
Assignee:

Category: Vectors

Affected QGIS version:master
Operating System: all

Pull Request or Patch supplied:
Crashes QGIS or corruptsdata:

Regression?: No
Easy fix?: No
Resolution: fixed

Copied to github as #: 17148

Description

Calling fieldNameMap() on vector data provider crashes QGIS.

To reproduce load shapefile and run in Python console next commands:

| = iface.mapCanvas().currentLayer()
fm = |.dataProvider().fieldNameMap()

History

#1 - 2013-07-29 03:19 AM - Alexander Bruy

- Crashes QGIS or corrupts data changed from No to Yes

#2 - 2013-07-29 10:16 AM - Alexander Bruy
- Resolution set to fixed
- Status changed from Open to Closed

Seems fixed with commit:8¢81032
